import React from 'react';
import 'codemirror/mode/spreadsheet/spreadsheet.js';
import type { IColumn, IDataSource } from './config';
import type { OnChangeCallback } from './types';
import './styles';
export * from './utils';
export interface FormulaEditorProps {
    visible: boolean;
    value?: string;
    className?: string;
    style?: React.CSSProperties;
    field: IColumn;
    dataSource: IDataSource;
    onClose: () => void;
    onChange?: ((params: OnChangeCallback) => void);
}
declare const _default: React.NamedExoticComponent<FormulaEditorProps>;
export default _default;
